v1/tags/{id}Copy Pageput https://shyftplan.com/api/v1/tags/{id}Update existing shift tags.Path Paramsidint32requiredBody Paramsuser_emailstringrequiredThis is a testing sandbox. We advise against using credentials for production accounts here. E-mail address of the API user.authentication_tokenstringrequiredThis is a testing sandbox. We advise against using credentials for production accounts here. Authentication token - can be fetched by login action.company_idint32required≥ 1ID of a shyftplan account.location_idint32 | nullID of a Location. Set this to null to turn a location-specific shift tag into a global shift tag.namestringName of the shift tag. Must be unique, or the name of a global shift tag to replace all location-specific shift tags of the same name.colorstringColor (HEX format, e.g. #FF00FF)force_replacebooleanBoolean value to use when changing the name of a global shift tag, or when changing location_id to null for a location-specific shift tag (thereby turning it into a global shift tag). Available options: true: Replace any other existing location-specific shift tag of the same name. This will also set the global shift tag on all shifts that use a former location-specific shift tag of this name. false: Only turn the location-specific shift tag into a global shift tag if no (other) location-specific shift tag of this name exists. Will respond with an error in case a location-specific shift tag exists. In this case, no update happens. truefalsemetadatastringTag metadata jsonResponses 200Success 401401 Unauthorized 403Forbidden 404Company not found 422Invalid requestUpdated 3 months ago v1/tags/{id}v1/tags/{id}/add_to_shiftDid this page help you?YesNo